package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.JkbzEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzTempEntity;
import io.renren.modules.app.entity.ZhxxEntity;

/**
 * 维修资金预交
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface WxzjyjService extends IService<YwpzEntity> {

	// 编辑弹窗，修改该条幢号信息
	void updatezhxx(ZhxxEntity zhxxEntity);

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param ywpzEntity
	 * @return
	 */
	// PageInfo<YwpzEntity> queryByPage(Integer pageNum, Integer
	// pageSize,YwpzEntity ywpzEntity);
	PageInfo<ZhxxEntity> queryByPage(Integer pageNum, Integer pageSize, ZhxxEntity zhxxEntity);

	// 下拉框查询
	List<XlkEntity> selectxlk(String id);

	List<XlkEntity> selectxlkdw();

	// 维修资金预交新增
	void insertYj(YwpzEntity ywpzEntity);

	String insertYj2(YwpzEntity ywpzEntity);

	// -----新页面

	PageInfo<YwpzEntity> queryByPageC(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);

	YwpzEntity selectCX(Map<String, String> map);

	List<DhbmyjEntity> selectCXlz(Map<String, String> map);

	void deletedj(YwpzEntity ywpzEntity);

	List<JkbzEntity> selectdwjjl(JkbzEntity jkbzEntity);
	
	void updatedjrq(YwpzEntity ywpzEntity);
	
	void zhxxyjje();
	
	void zhxxyjje2(ZhxxEntity zhxxEntity);
	
	void updatezhxxyjje2(ZhxxEntity zhxxEntity);
	
	void xlrjcsjyjje();
	
	void DWYJXQXG(YwpzEntity ywpzEntity);
	
	void onexlrjcsjyjje();
	
	void xmmczhxxdhbm();
	
	void dwyjghyjje();
	
	void lgjexc();

}
